Skip to main content
GET
/
subjects
/
{subject}
Show subject
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/subjects/{subject} \
  --header 'Authorization: Bearer <token>'
{
  "id": 12345678,
  "name": "Acme s.r.o.",
  "taxId": "2020123456",
  "vatId": "SK2020123456",
  "legalForm": "company",
  "city": "Bratislava",
  "street": "Main Street 1",
  "zip": "81101"
}

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Path Parameters

subject
integer
required

Subject ID from the reference registry.

Example:

12345678

Response

Returns the requested subject.

Subject from the reference registry. You will typically use it as source data when creating a client.

id
integer

Business ID of the client or company. For Slovak entities, you can usually also find this value through the subject registry lookup.

Example:

12345678

name
string

Registered company or business name.

Example:

"Acme s.r.o."

taxId
string | null

Tax ID, when available.

Example:

"2020123456"

vatId
string | null

VAT ID, when available.

Example:

"SK2020123456"

Legal form of the subject.

Available options:
freelancer,
company
Example:

"company"

city
string | null

City of the registered seat or place of business.

Example:

"Bratislava"

street
string | null

Street and number of the registered seat or place of business.

Example:

"Main Street 1"

zip
string | null

ZIP or postal code of the registered seat or place of business.

Example:

"81101"